Package org.apache.commons.lang3.exception

## Class CloneFailedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.commons.lang3.exception.CloneFailedException

All Implemented Interfaces:
  `java.io.Serializable`

    public class CloneFailedException
    extends java.lang.RuntimeException

Exception thrown when a clone cannot be created. In contrast to `CloneNotSupportedException` this is a `RuntimeException`.

Since:
  3.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
`CloneFailedException​(java.lang.String message)` Constructs a CloneFailedException.
`CloneFailedException​(java.lang.String message, java.lang.Throwable cause)` Constructs a CloneFailedException.
`CloneFailedException​(java.lang.Throwable cause)` Constructs a CloneFailedException.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CloneFailedException

    public CloneFailedException​(java.lang.String message)

Constructs a CloneFailedException.

Parameters:
  `message` - description of the exception

#### CloneFailedException

    public CloneFailedException​(java.lang.Throwable cause)

Constructs a CloneFailedException.

Parameters:
  `cause` - cause of the exception

#### CloneFailedException

    public CloneFailedException​(java.lang.String message,
                                java.lang.Throwable cause)

Constructs a CloneFailedException.

Parameters:
  `message` - description of the exception
  `cause` - cause of the exception